#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-parsedatetime
Version		:	2.6
Release		:	14.4.0.0%{?dist}
Summary		:	Parse human-readable date/time strings in Python
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://github.com/bear/${sname}

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python3-setuptools
BuildRequires	:	python-build
BuildRequires	:	python-pep517
BuildRequires	:	python3-tomli
BuildRequires	:	python-packaging
BuildRequires	:	python-pyparsing
BuildRequires	:	python-wheel
BuildRequires	:	python3-pytest
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-iniconfig
BuildRequires	:	python-py
BuildRequires	:	python-attrs

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
parsedatetime is a python module that can parse
human-readable date/time strings.	

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.txt
%doc AUTHORS.txt CHANGES.txt README.rst
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/pdt_locales/*.py
%{python3_sitelib}/%{sname}/pdt_locales/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#Caution TestComplexDateTimes.py always fails on June 30th!!!.
pytest

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}				\
	--skip-build					\
	--optimize=1					\

#-----------------------------------------------------------------------------
%changelog
